Bug 1249914 - Lack of the built-in LAN driver for Intel ethernet X552/X557 from SoC (Broadwell-DE Intel D-1540) for RHEL 7.1 for Red Hat certification
Lack of the built-in LAN driver for Intel ethernet X552/X557 from SoC (Broadw...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: Driver Update Disk (Show other bugs)
7.1
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Petr Oros
Shaohui Deng
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-04 02:56 EDT by smc_cert
Modified: 2016-04-22 01:11 EDT (History)
3 users (show)

See Also:
Fixed In Version: ixgbe-4.0.3-1.el7_1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-12 06:37:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description smc_cert 2015-08-04 02:56:01 EDT
Description of problem:
Lack of the built-in LAN driver for Intel ethernet X552/X557 from SoC (Broadwell-DE Intel D-1540) for RHEL 7.1 for Red Hat certification

Version-Release number of selected component (if applicable):
RHEL 7.1 kernel-3.10.0-229.el7

How reproducible:
Install the OS w/o additional drivers.

Steps to Reproduce:
1.Install OS
2.ipconfig -a
3.

Actual results:
Could not find the the Ethernet Intel X552/X557 10GbE from SoC via command ipconfig w/ built-in driver.

Expected results:
Built-in driver support it.

Additional info:
Install the driver ixgbe-4.0.3.tar manually then able to recognize the 10GbE successfully and work normally.

https://bugzilla.redhat.com/show_bug.cgi?id=1248316
Bug 1248316 - HWCERT: SuperServer 5028D-TN4T
Comment 3 Petr Oros 2015-08-31 07:40:42 EDT
We have a DUP package ready for you to test. You can download the package here:

ISO: http://people.redhat.com/poros/dup/ixgbe-4.0.1_k.iso

Please give it a try and let us know if it works properly for you.

-Petr
Comment 4 smc_cert 2015-09-14 08:26:55 EDT
(In reply to Petr Oros from comment #3)
> We have a DUP package ready for you to test. You can download the package
> here:
> 
> ISO: http://people.redhat.com/poros/dup/ixgbe-4.0.1_k.iso
> 
> Please give it a try and let us know if it works properly for you.
> 
> -Petr

Greetings,
Sorry for late reply.

 The driver you provided works abnormally as below log described,please kindly check it out.Thanks in advance.

[root@x10dru Desktop]# uname -a
Linux x10dru 3.10.0-229.el7.x86_64 #1 SMP Thu Jan 29 18:37:38 EST 2015 x86_64 x86_64 x86_64 GNU/Linux


[root@x10dru Desktop]# rpm -qa |grep -i kmod
kmod-ixgbe-4.0.1_k_DUP-1.el7.x86_64

[root@x10dru Desktop]# ethtool -i eth0
driver: ixgbe
version: 4.0.1-k-rh7.2
firmware-version: 0x800001cf
bus-info: 0000:03:00.0
supports-statistics: yes
supports-test: yes
supports-eeprom-access: yes
supports-register-dump: yes
supports-priv-flags: no

[root@x10dru Desktop]# lspci |grep -i ethernet
03:00.0 Ethernet controller: Intel Corporation Ethernet Connection X552/X557-AT 10GBASE-T
03:00.1 Ethernet controller: Intel Corporation Ethernet Connection X552/X557-AT 10GBASE-T


[root@x10dru Desktop]# ping 10.160.88.33
PING 10.160.88.33 (10.160.88.33) 56(84) bytes of data.
64 bytes from 10.160.88.33: icmp_seq=2 ttl=127 time=0.258 ms
64 bytes from 10.160.88.33: icmp_seq=3 ttl=127 time=1000 ms
64 bytes from 10.160.88.33: icmp_seq=4 ttl=127 time=0.257 ms
ping: sendmsg: No buffer space available
ping: sendmsg: No buffer space available

PS:Install the driver ixgbe-4.0.3.tar manually then able to recognize the 10GbE successfully and work normally.

Jass / Supermicro
Comment 5 Petr Oros 2015-09-15 05:53:15 EDT
You can download fixed package here:

  ISO: http://people.redhat.com/poros/dup/ixgbe-4.0.3.iso

Thanks,
-Petr
Comment 6 smc_cert 2015-09-15 07:31:54 EDT
(In reply to Petr Oros from comment #5)
> You can download fixed package here:
> 
>   ISO: http://people.redhat.com/poros/dup/ixgbe-4.0.3.iso
> 
> Thanks,
> -Petr

Greetings,

 ixgbe-4.0.3.iso you provided got passed results, great thanks for your support.

Thanks,
Jass / Supermicro

Note You need to log in before you can comment on or make changes to this bug.